# Intel® Enhanced Privacy ID SDK: errors

errors
epid » common

Error reporting interface. More...

## Enumerations

enum | EpidStatus { kEpidNoErr = 0, kEpidSigValid = 0, kEpidSigInvalid = 1, kEpidSigRevokedinGroupRl = 2, kEpidSigRevokedinPrivRl = 3, kEpidSigRevokedinSigRl = 4, kEpidSigRevokedinVerifierRl = 5, kEpidErr = -999, kEpidNotImpl, kEpidBadArgErr, kEpidNoMemErr, kEpidMemAllocErr, kEpidMathErr, kEpidDivByZeroErr, kEpidUnderflowErr, kEpidHashAlgorithmNotSupported, kEpidRandMaxIterErr, kEpidDuplicateErr }
| Return status for SDK functions. More...

## Functions

char const * | EpidStatusToString (EpidStatus e)
| Returns string representation of error code. More...

## Detailed Description

Error reporting interface.

This module defines the return status type. It also provides tools for interactions with status values, such as converting them to a string.

## Enumeration Type Documentation

enum EpidStatus

Return status for SDK functions.

Convention for status values is as follows:

- Zero indicates "success"
- Any positive number indicates "success with status"
- Any negative number indicates "failure"

Enumerator
kEpidNoErr | no error
kEpidSigValid | Signature is valid.
kEpidSigInvalid | Signature is invalid.
kEpidSigRevokedinGroupRl | Signature revoked in GroupRl.
kEpidSigRevokedinPrivRl | Signature revoked in PrivRl.
kEpidSigRevokedinSigRl | Signature revoked in SigRl.
kEpidSigRevokedinVerifierRl | Signature revoked in VerifierRl.
kEpidErr | unspecified error
kEpidNotImpl | not implemented error
kEpidBadArgErr | incorrect arg to function
kEpidNoMemErr | not enough memory for the operation
kEpidMemAllocErr | insufficient memory allocated for operation
kEpidMathErr | internal math error
kEpidDivByZeroErr | an attempt to divide by zero
kEpidUnderflowErr | a value became less than minimum supported level
kEpidHashAlgorithmNotSupported | unsupported hash algorithm type
kEpidRandMaxIterErr | reached max iteration for random number generation
kEpidDuplicateErr | argument would add duplicate entry

Examples:
  verifysig.c.

## Function Documentation

char const* EpidStatusToString | ( | EpidStatus | e | ) |

Returns string representation of error code.

Parameters

  e | The status value.

Returns
  The string describing the status.